Questions tagged [upgrade]

Questions related or caused by Magento upgrade process.

Filter by
Sorted by
Tagged with
0 votes
2 answers
76 views

Zend Class issue Upgrade From Magento 2.4.3 to 2.4.6

We are Upgrading Magento Version from 2.4.3 to 2.4.6. Area configuration aggregation... 5/9 [===============>------------] 55% 34 secs 498.0 MiB In ClassReader.php line 57: Impossible to process ...
Kushal Dani's user avatar
  • 2,114
0 votes
1 answer
52 views

how to solve "lock file but not in remote repositories, make sure you avoid updating this package to keep the one from the lock file."?

Problem 1 - Root composer.json requires stripe/stripe-payments ^3.3.0, found stripe/stripe-payments[3.3.0] in the lock file but not in remote repositories, make sure you avoid updating this package to ...
hari prabhu's user avatar
0 votes
1 answer
39 views

I want to upgrade Magento from 2.3.3 to 2.4.6 p3. What are the important steps we should take

I want to upgrade Magento 2.3.3 to 2.4.6 p3. Please elaborate the steps. Thanks
Jasvir Singh's user avatar
0 votes
0 answers
42 views

Add to Cart Not Working After Upgrade to 2.4.6.-p3

after upgrading to Magento version 2.4.6-p3 , Add to cart not working, it just shows adding and then nothing happens. also when I go from category page with options products , it does not shows any ...
Jantar Mantar's user avatar
0 votes
1 answer
279 views

How to upgrade Magento from 2.4.6 to 2.4.7-beta

I am currently attempting to upgrade to the latest beta of 2.4.7. However it only seems to recognize: composer require-commerce magento/product-community-edition 2.4.7-beta2 --no-update But when I ...
UrbanwarfareStudios's user avatar
0 votes
0 answers
141 views

Having issue with Content Security Policy in my frontend pages

I am facing the issue in the console With Content Security Policy ,I cant disable the Module Magento_Csp ,Please suggest the solution based on my efollowing console error [Report Only] Refused to load ...
Muhammad Abdullah's user avatar
1 vote
0 answers
38 views

URL change for source and dist in composer.lock

I have updated the magento version from 2.4.2 to 2.4.3 so when i checked the composer.lock file so it changed the all URLs for github. Please help me on this why this issue occuer.
Kushal Dani's user avatar
  • 2,114
2 votes
1 answer
392 views

Magento 2.4.5 upgrade error: Could not find a magento/project package matching "magento/magento-cloud-metapackage 2.4.5"

While upgrading Magento Enterprise version from 2.4.5-p4 to 2.4.5-p5, i get the following error on running composer require-commerce magento/product-enterprise-edition=2.4.5-p5 --no-update --force-...
M2 Noob's user avatar
  • 21
0 votes
1 answer
267 views

Magento 2.4.6: All pages 404 after upgrade from 2.3.5-p1

I am getting 404 page not found on all pages including admin dashboard after upgrading Magento from 2.3.5p1 to 2.4.6 on a VPS. My root .htaccess: RewriteEngine on RewriteCond %{REQUEST_URI} !^pub/ ...
mechanic's user avatar
  • 440
0 votes
0 answers
33 views

Integrity constraint violation: 1062 Duplicate entry '5300-200-0' for key 'CATALOG_PRODUCT_ENTITY_TEXT_ENTITY_ID_ATTRIBUTE_ID_STORE_ID',

After Upgrade Magento version to 2.4.6-p1 , I am getting error on executing setup:upgrade command : Error : Unable to apply data patch Magento\Catalog\Setup\Patch\Data\...
Jantar Mantar's user avatar
2 votes
1 answer
3k views

How to upgrade Magento from 2.4.1 to 2.4.6

I'm actually on Magento CE version 2.4.1 I need to update it to 2.4.6 (latest version) I'm in live (I don't have a staging enviroment) Is there someone who can guide me step to step in upgrading? ...
Marcello D'Ambrosio's user avatar
0 votes
1 answer
401 views

After upgrade to 2.4.6 - Class Zend_Locale_Format (or Zend_Locale_Data) not found. What is the substitute?

After upgrading to 2.4.6 I've got errors class not found. Because Magento finally removed ZendFramework1 from codebase completely. Which classes can replace missed ones?
Ruslan Mavlyanov's user avatar
0 votes
0 answers
77 views

sliderElement.slider is not a function, after magento update

after magento update from 2.3.4 to 2.4.2, we notice that on sidebar filters, price slide it is not working. On browser inspect appears those errors: layer.js:406 Uncaught TypeError: sliderElement....
Hector Solutions's user avatar
0 votes
0 answers
192 views

Magento 2 After Upgrade Error Unable to apply data patch Magento\Catalog\Setup\Patch\Data\UpdateMultiselectAttributesBackendTypes

After Upgrading to Magento 2.4.6.-p1 , we are getting error on setup:upgrade Unable to apply data patch Magento\Catalog\Setup\Patch\Data\UpdateMultiselectAttributesBackendTypes for module ...
Jantar Mantar's user avatar
0 votes
1 answer
714 views

update 2.3.4 > 2.4.x, composer update: composer-root-update-plugin, it could not be found in any version

Hi i am try to update magento from 2.3.4 to 2.4.x. I am followed those guides: https://www.codextblog.com/magento-2/upgrade-magento-version-2-3-x-2-4-0/ https://www.mgt-commerce.com/tutorial/how-to-...
Hector Solutions's user avatar
0 votes
1 answer
115 views

Navigation links disappear after upgrade to Magento CE 2.4.5

I'm somewhat of a Magento noob and inherited this site. I upgraded to 2.4.5 from 2.4.0 and basically, the top links and footer links disappeared. For example, this block is no longer displaying: <...
user112097's user avatar
0 votes
2 answers
179 views

Email templates design messed up after upgrading to magento 2.4.4

I am upgrading my website from Magento 2.4.3 to 2.4.4 After upgrade I have found out that email templates design have messed up. Earlier the email templates have a fixed width and was aligned at the ...
Rajeev Singh's user avatar
0 votes
1 answer
142 views

Ratio of images changed after update

After updating from Magento 2.3.5 to Magento 2.4.5-p1, I noticed that the aspect ratio of 1 image of 1 specific productpage has been changed. The rendered size, rendered aspect ratio, intrinsic size ...
JanosDjango's user avatar
0 votes
0 answers
26 views

how to remove a product from a specific web site, using a template whose fields are required to perform the action

Currently I want to delete specific products from a website massively as it is a huge list of SKUs so I want to do it through a template and I have the first 2 fields but I need a third one what would ...
Erick Vernaza's user avatar
1 vote
1 answer
333 views

guzzlehttp conflict issue while upgrading from 2.4.3-p3 to 2.4.4

I am upgrading my website from version 2.4.3-p3 to 2.4.4 I run the following command to add the version 2.4.4 in my composer.json composer require magento/product-community-edition 2.4.4 --no-update ...
Rajeev Singh's user avatar
0 votes
0 answers
22 views

Is it safe to upgrade from Magento 2.4.5-p1 to the latest version and how to best do that?

Magento ver. 2.4.5-p1 Smartwave Porto theme I've had terrible problems with Magento 2.4.2-p1 so I really try to avoid doing things that could potentially cause me such problems on this new site I'm ...
Allysin's user avatar
  • 250
0 votes
4 answers
876 views

Error when updating to php 8.2 and Magento 2.4.6

I updated magento to 2.4.6 and PHP 8.2 and When I run any comment in Magento (i.e php bin/magento cache:flush or php bin/magento cache:clean) I get this error on the console: There is an error in /var/...
Henri's user avatar
  • 123
0 votes
0 answers
19 views

how to update or delete category tree data

The query is the following. I want to update this field in magento, but only accept or replace the new values ​​to be entered with the values ​​that already exist, doing it massively using a template, ...
Erick Vernaza's user avatar
0 votes
3 answers
174 views

Migrate obsolete Magento 2 to Magento 2

I work as a freelancer and I am increasingly confronted with prospects who want to update their obsolete Magento 2 site to a newer version (example M2.3.0 > M2.4.6). The problem is that many themes ...
ljr95's user avatar
  • 11
1 vote
2 answers
900 views

Magento 2.4.6 Update Error With Payment Services

I am unable to update from Magento 2.4.5p1 to Magento 2.4.6. When I run "composer update" I keep getting the following error: Your requirements could not be resolved to an installable set of ...
N Lopez's user avatar
  • 21
0 votes
1 answer
34 views

Jquery files not getting loaded on frontend after upgrade

I have upgraded my site from 2.2.6 to 2.3.2. After the upgrade when i load the frontend, and open Network tab in inspect element, i see that only jquery.js file is being called, no other js files like ...
Nicola Smith's user avatar
0 votes
2 answers
410 views

Custom theme not getting generated after upgrade to magento 2.3.2

I have upgraded my site from 2.2.6 to 2.3.2 version. After upgrading through the composer command I run static-content:deploy command. I see that in pub/static my custom theme is not getting generated....
Nicola Smith's user avatar
0 votes
1 answer
437 views

Smile Elasticsuite error after upgrade to magento 2.3.2

I have upgraded my site from 2.2.6 to 2.3.2. After upgrade when i access admin panel i am getting error 1 exception(s): Exception #0 (OutOfRangeException): Specified invalid parent id (...
Nicola Smith's user avatar
0 votes
4 answers
2k views

Magento 2 - Cannot instantiate abstract class Magento\Framework\Model\ResourceModel\AbstractResource after update from 2.4.5 to 2.4.5-p1

I get the following error if I load my homepage, after I upgraded from 2.4.5 to 2.4.5-p1: Error: Cannot instantiate abstract class Magento\Framework\Model\ResourceModel\AbstractResource in /var/www/...
Black's user avatar
  • 3,280
0 votes
1 answer
70 views

Update and download the product using API

Q1). On Magento store I updated the product using API but can not updated all the fields, few fields (i.e. 'name') were not updated using the API. Is there any API to update product name? Q2). I have ...
Siddharth Srivastava's user avatar
0 votes
1 answer
516 views

After Upgrade PHP to 8.1 version - flock(): supplied resource is not a valid stream resource

I have Magento v2.4.5-p1 and after php version upgrade to 8.1 when running the command: index:reindex i get this error for each index: flock(): supplied resource is not a valid stream resource. Has ...
David Young's user avatar
0 votes
2 answers
430 views

How to upgrade PWA to latest version?

How to upgrade PWA to latest version? I want to upgrade all PWA packages to latest version so is there any particular steps ?
Mukesh Prajapati's user avatar
0 votes
2 answers
321 views

Upgdating Magento from 2.3.7 to 2.4.4

I am trying to update my magento from 2.3.7 to 2.4.4 using the https://devhooks.in/blog/upgrade-magento-2-to-magento-2-1-via-ssh But I am getting error
Avesh Naik's user avatar
  • 1,190
0 votes
1 answer
185 views

Error after upgrading Magento 2.4.3 to 2.4.5 match

syntax error, unexpected token "match", expecting variable#0 /httpdocs/vendor/composer/ClassLoader.php(432): Composer\Autoload\ClassLoader::Composer\Autoload\{closure}() #1 [internal ...
Daniel Miguel Martínez's user avatar
0 votes
1 answer
343 views

Magento 2.4 Error flushing Varnish server. Host: "127.0.0.1". PURGE response code: 501 message: Not Implemented

We are using Magento 2.4.5-p1 and PHP 8.1 versions. When we are running upgrade commands getting an issue of - Error flushing Varnish server. Host: "127.0.0.1". PURGE response code: 501 ...
sumeet bajaj's user avatar
  • 1,286
0 votes
1 answer
94 views

Update price progrmmatically

I'm trying to update the price for configurable product programmatically. But the price is not updating. Also I'm getting integrity constrain error when the sku is not assigned. if($proType == '...
Sandeep Nair's user avatar
0 votes
0 answers
138 views

Upgrade to 2.4.5-p1 app/code modules not recognized in setup:upgrade command

Upgrading from Magento 2.3.x to 2.4.5-p1, having sorted through the various PHP 8.1 issues, running setup:upgrade from the cli finishes, but the front end reports the standard Please upgrade your ...
theJoey's user avatar
0 votes
2 answers
56 views

Newly installed extension's database clashes with the old one

I had the Subscribe now - (Magedelight) module installed manually using the app/code folder. The Magento version was 2.4.3-p3 and I upgraded it to the latest 2.4.5-p1. Also, I needed the extension to ...
Lasith M's user avatar
2 votes
3 answers
3k views

Upgrading from Magen2.3.4 to 2.4.5

I am using Magento 2.3.4 now. I want try to Magento 2.4.5. But I don't upgrade Magento. when run command in cpanel terminal, show error like this. $ composer require magento/product-community-edition ...
Bohdan V.'s user avatar
0 votes
1 answer
43 views

How to check if a module needs an update using comands/code?

Is there a way to check if a module needs an update using commands or code ? Maybe i can compare the current version to the latest version, but how do i check what the latest version for a module is ? ...
Erabroub's user avatar
0 votes
1 answer
447 views

This product doesn't exist. error after upgrade

I have upgraded my site from magento 2.3 to 2.4.0. After upgrade, when i try to open products in backend. I am getting error as This product doesn't exist. How can i solve this? https://prnt.sc/...
Nicola Smith's user avatar
1 vote
1 answer
363 views

Magento 2 composer update removes pub/media and all other important folders

After running composer update, composer starts upgrading and downloading. After that the update of packages are marked red "Update of name/module_name failed". And all my important folders ...
JuanPachanga's user avatar
5 votes
0 answers
202 views

Magento2 how to fix upgrade UCT tool errors

1. 36 WARNING Extending from class 'Magento\Framework\App\Action\Action' that is @deprecated on version '2.4.5' - See \Magento\Framework\App\ActionInterface 2. Using class 'Magento\Framework\...
Nagaraju Kasa's user avatar
1 vote
1 answer
104 views

Magento 2.3.2. CE How to uninstall a module?

Overview: I have an M2EPro module which I need to update but the current iteration seems to be in the wrong folder and may be causing issues with another module. I originally thought that I had ...
Andy's user avatar
  • 57
2 votes
1 answer
592 views

Ui component issue after upgrading from Magento 2.4.2 to 2.4.5-p2

After upgrading Magento version the custom checkout component created to handle customer informations does not work anymore, with the previous version everything was fine but now I am getting those ...
Simse's user avatar
  • 35
5 votes
3 answers
2k views

imagecolorsforindex(): Argument #2 ($color) is out of range when running bin/magento catalog:images:resize

I recently upgraded from 2.4.4 to 2.4.5. While placing the images in pub/media folder and running bin/magento catalog:images:resize, I am getting the following error imagecolorsforindex(): Argument #2 ...
Rejith's user avatar
  • 311
2 votes
1 answer
955 views

Magento 2 Upgrading 2.3.4 to 2.4.5 I have an issue Please help

Please any one can help on this issue facing after upgradation to 2.4.5 Fatal error: Uncaught Error: Class "Magento\Framework\Component\ComponentRegistrar" not found in /home/project/...
Magento_Bhurio's user avatar
1 vote
1 answer
320 views

Magento 2 : Product Price Translated in multi website

I have 2 language website like Arabic and English in which currency format is not matching in both store.If product has price 299 $ then it have show Like this because of Arabic language. AR Store : ...
Jantar Mantar's user avatar
1 vote
0 answers
34 views

Class zipMoney\Api\CheckoutsApi does not exist

After Upgrading Magento 2.4 and executing the command php bin/magento setup:di:compile, its generating error [ReflectionException] Class zipMoney\Api\CheckoutsApi does not exist while I have already ...
milan's user avatar
  • 21
1 vote
2 answers
2k views

Upgrading from 2.4.3 to 2.4.3-p3

I am upgrading from 2.4.3 to 2.4.3-p3 and I have a few questions. In composer.json should I only be chnaging these 3 lines? "version": "2.4.3-p3", "magento/product-enterprise-...
Marcello Berti's user avatar

1
2 3 4 5
24